> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/batches/models.md).

# Models

## The ClearentBatchResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"ClearentBatchResponsePayload":{"type":"object","properties":{"batch":{"$ref":"#/components/schemas/Payload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"Payload":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the batch."},"status":{"type":"string","description":"Current status of the batch. Available statuses: Open, Close, Pending, Failed.","enum":["OPEN","CLOSED"]},"settled":{"type":"string","description":"Date and time when the batch was settled."},"refund-count":{"type":"string","description":"Total number of refund transactions processed in the batch."},"refund-total":{"type":"string","description":"Total amount refunded in the batch."},"sales-count":{"type":"string","description":"Total number of sales transactions processed in the batch."},"sales-total":{"type":"string","description":"Total amount of all sale transactions in the batch."},"net-amount":{"type":"string","description":"Net amount after processing sale and refund transactions, in currency format."},"total-count":{"type":"string","description":"Total number of transactions, including sales and refunds."},"confirmation-code":{"type":"string","description":"The batch confirmation code."},"merchant-id":{"type":"string","description":"Identifier for the merchant associated with the batch."},"terminal-id":{"type":"string","description":"Identifier of the terminal that processed the batch."},"terminal-name":{"type":"string","description":"Name of the terminal."},"date-opened":{"type":"string","description":"Date when the batch was opened."},"switch-batch-id":{"type":"string","description":"Identifier used by the payment switch for the batch."}},"description":"Batches","xml":{"name":"batch"}}}}}
```

## The Payload object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"Payload":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the batch."},"status":{"type":"string","description":"Current status of the batch. Available statuses: Open, Close, Pending, Failed.","enum":["OPEN","CLOSED"]},"settled":{"type":"string","description":"Date and time when the batch was settled."},"refund-count":{"type":"string","description":"Total number of refund transactions processed in the batch."},"refund-total":{"type":"string","description":"Total amount refunded in the batch."},"sales-count":{"type":"string","description":"Total number of sales transactions processed in the batch."},"sales-total":{"type":"string","description":"Total amount of all sale transactions in the batch."},"net-amount":{"type":"string","description":"Net amount after processing sale and refund transactions, in currency format."},"total-count":{"type":"string","description":"Total number of transactions, including sales and refunds."},"confirmation-code":{"type":"string","description":"The batch confirmation code."},"merchant-id":{"type":"string","description":"Identifier for the merchant associated with the batch."},"terminal-id":{"type":"string","description":"Identifier of the terminal that processed the batch."},"terminal-name":{"type":"string","description":"Name of the terminal."},"date-opened":{"type":"string","description":"Date when the batch was opened."},"switch-batch-id":{"type":"string","description":"Identifier used by the payment switch for the batch."}},"description":"Batches","xml":{"name":"batch"}}}}}
```

## The ErrorPayload object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## The ErrorPayloadResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## The IncomingBatchRequest object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"IncomingBatchRequest":{"type":"object","properties":{"lastBatchClosedRequiredInResponse":{"type":"boolean","description":"Indicates whether the response must include details about the last batch that was closed.","readOnly":true},"software-type":{"type":"string","description":"Identifies the type of software that initiated the batch close request."}},"description":"Request payload for closing the batch","xml":{"name":"batch-validation"}}}}}
```

## The batch object

```json
{"openapi":"3.0.1","info":{"title":"Batches","version":"2.0"},"components":{"schemas":{"batch":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the open batch."},"status":{"type":"string","description":"Current status of the batch."},"settled":{"type":"string","description":"Indicates whether the batch has been settled."},"refund_count":{"type":"string","description":"Total number of refund transactions in the batch."},"refund_total":{"type":"string","description":"Total amount of refunds processed in the batch."},"sales_count":{"type":"string","description":"Total number of sales transactions in the batch."},"sales_total":{"type":"string","description":"Total amount of sales processed in the batch."},"net_amount":{"type":"string","description":"Net amount for the batch after sales and refunds are applied."},"total_count":{"type":"string","description":"Total number of transactions in the batch."},"confirmation_code":{"type":"string","description":"Confirmation code when the batch is opened or updated."}},"xml":{"name":"batch"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/batches/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
